petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscDSGetAdjacency

Returns the flags for determining variable influence

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetAdjacency(PetscDS prob, PetscInt f, PetscBool *useCone, PetscBool *useClosure)

Not collective Many br

### Input Parameters

| prob | - The PetscDS object Many br
| f | - The field number Many br

### Output Parameter

| useCone | - Flag for variable influence starting with the cone operation Many br
| useClosure | - Flag for variable influence using transitive closure Many br

Note: See the discussion in DMPlexGetAdjacencyUseCone() and DMPlexGetAdjacencyUseClosure() Many br

Many br

### See Also

PetscDSSetAdjacency(), DMPlexGetAdjacencyUseCone(), DMPlexGetAdjacencyUseClosure(), PetscDSSetDiscretization(), PetscDSAddDiscretization(), PetscDSGetBdDiscretization(), PetscDSGetNumFields(), PetscDSCreate()

Level:developer
Location:src/dm/dt/interface/dtds.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages